OGRE: OgreBites::Label Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
OgreBites::Label Class Reference
Optional Components » Bites » Trays

Basic label widget. More...

`#include <OgreTrays.h>`

Inheritance diagram for OgreBites::Label:
[legend]

## Public Member Functions
| Label (const Ogre::String &name, const Ogre::DisplayString &caption, Ogre::Real width)
| Do not instantiate any widgets directly. Use TrayManager.
void | _cursorPressed (const Ogre::Vector2 &cursorPos) override
bool | _isFitToTray ()
const Ogre::DisplayString & | getCaption ()
void | setCaption (const Ogre::DisplayString &caption)
Public Member Functions inherited from OgreBites::Widget
| Widget ()
virtual | ~Widget ()
void | _assignListener (TrayListener *listener)
void | _assignToTray (TrayLocation trayLoc)
virtual void | _cursorMoved (const Ogre::Vector2 &cursorPos, float wheelDelta)
virtual void | _cursorReleased (const Ogre::Vector2 &cursorPos)
virtual void | _focusLost ()
void | cleanup ()
const Ogre::String & | getName ()
Ogre::OverlayElement * | getOverlayElement ()
TrayLocation | getTrayLocation ()
void | hide ()
bool | isVisible ()
void | show ()

## Additional Inherited Members
Static Public Member Functions inherited from OgreBites::Widget
static Ogre::Vector2 | cursorOffset (Ogre::OverlayElement *element, const Ogre::Vector2 &cursorPos)
| Static utility method used to get the cursor's offset from the center of an overlay element in pixels.
static void | fitCaptionToArea (const Ogre::DisplayString &caption, Ogre::TextAreaOverlayElement *area, Ogre::Real maxWidth)
| Static utility method to cut off a string to fit in a text area.
static Ogre::Real | getCaptionWidth (const Ogre::DisplayString &caption, Ogre::TextAreaOverlayElement *area)
| Static utility method used to get the width of a caption in a text area.
static bool | isCursorOver (Ogre::OverlayElement *element, const Ogre::Vector2 &cursorPos, Ogre::Real voidBorder=0)
| Static utility method to check if the cursor is over an overlay element.
static void | nukeOverlayElement (Ogre::OverlayElement *element)
| Static utility method to recursively delete an overlay element plus all of its children from the system.

## Detailed Description

Basic label widget.

## Constructor & Destructor Documentation

## ◆ Label()

OgreBites::Label::Label | ( | const Ogre::String & | name,
|  | const Ogre::DisplayString & | caption,
|  | Ogre::Real | width )

Do not instantiate any widgets directly. Use TrayManager.

## Member Function Documentation

## ◆ getCaption()

const Ogre::DisplayString & OgreBites::Label::getCaption | ( |  | ) |
| inline

## ◆ setCaption()

void OgreBites::Label::setCaption | ( | const Ogre::DisplayString & | caption | ) |
| inline

## ◆ _cursorPressed()

void OgreBites::Label::_cursorPressed | ( | const Ogre::Vector2 & | cursorPos | ) |
| overridevirtual

Reimplemented from OgreBites::Widget.

## ◆ _isFitToTray()

bool OgreBites::Label::_isFitToTray | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- OgreTrays.h